SCAN_FFS(8)

NAME
scan_ffs, scan_lfs - find FFSv1/FFSv2/LFS partitions on a disk or file

SYNOPSIS
scan_ffs [-blv] [-e end] [-F file] [-s start] device

DESCRIPTION
scan_ffs will take a raw disk device that covers the whole disk or a file and will find all possible FFSv[12]/LFS partitions, independent of block sizes on it. It will show the file system type (FFSv1, FFSv2, or LFS), size, and offset. Also it has an option to show the values with a disklabel-alike output.

The options are as follows:

-b  Report every superblock found with its sector address, rather than trying to report the partition boundaries. This option can be useful to find the other superblocks in a partition if the first superblock has become corrupted. It is most useful if device refers to the raw device for the partition, rather than the entire disk.

-e end
    Where to stop searching for file systems. The end argument specifies the last sector that will be searched. Default is the last sector of device.

-F file
    Path to a file containing possible partitions inside of it.

-l  Print out a string looking much like the input to disklabel. With a little massaging, this output can usually be used by disklabel(8).

-s start
    Where to start searching for file systems. This makes it easier to skip swap partitions or other large non-UFS/FFS partitions. The start argument specifies the first sector that will be searched. Default is the first sector of device.

-v  Be verbose about what scan_ffs is doing, and what has been found.

The device argument specifies which device scan_ffs should scan for file systems.

scan_lfs is just another name for the same program, both behave in exactly the same way.

SEE ALSO
disklabel(8)

HISTORY
The scan_ffs program first appeared in OpenBSD 2.3 and then in NetBSD 3.1. Support for searching in files was added in NetBSD 4.0.

AUTHORS
-nosplit scan_ffs was written for OpenBSD by Niklas Hallqvist and Tobias Weingartner. It was ported to NetBSD by Juan Romero Pardines, who added support for LFS/FFSv2, partitions with fragsize/blocksize greater than 2048/16384 for FFSv1, searching on files, etc.

BUGS
Currently scan_ffs won't find partitions with fragsize/blocksize greater than 8192/65536.